Crud::Engine.routes.draw do
  if Rails.version.to_f < 4.0
    controller 'crud' do
      get '/model/*class_name/new', to: :new, as: :new
      delete '/model/*class_name/:id/delete', to: :delete, as: :delete
      get '/model/*class_name/:id/edit', to: :edit, as: :edit
      get '/model/*class_name/:id', to: :show, as: :show
      put '/model/*class_name/:id', to: :update, as: :update
      delete '/model/*class_name/:id', to: :destroy, as: :destroy
      post '/model/(*class_name)', to: :create, as: :create
      get '/model/(*class_name)', to: :index, as: :index
    end
  else
    controller 'crud' do
      get '/model/*class_name/new', action: :new, as: :new
      delete '/model/*class_name/:id/delete', action: :delete, as: :delete
      get '/model/*class_name/:id/edit', action: :edit, as: :edit
      get '/model/*class_name/:id', action: :show, as: :show
      put '/model/*class_name/:id', action: :update, as: :update
      delete '/model/*class_name/:id', action: :destroy, as: :destroy
      post '/model/(*class_name)', action: :create, as: :create
      get '/model/(*class_name)', action: :index, as: :index
    end
  end

  # get 'dashboard' => 'dashboard#index'
  root to: "dashboard#index"
end
